/*--------------------------------------------------------------------
  generic module header.

    Copyright (C) 1999
        SASAKI Shunsuke <ele@pop17.odn.ne.jp> All rights reserved. 
--------------------------------------------------------------------*/
#ifndef __ELE_G_VAL_H__
#define __ELE_G_VAL_H__


	/*  gval */

#define	LN_key	32
#define	LN_val	256

typedef	struct
{
	char	key[LN_key+1];
	char	val[LN_val+1];
}	gval_item_t;

typedef	struct
{
	gval_item_t	*item;
	int 		num;
	int 		max;
}	gval_t;

extern	gval_t	*gval_init(gval_t *gvp,int m);
extern	void	gval_fin(gval_t *gvp);
extern	char	*gval_get(gval_t *gvp, const char *ks);
extern	void	gval_set(gval_t *gvp, const char *ks,const char *vs);
extern	void	gval_defset(gval_t *gvp, const char *ks, const char *vs);
extern	bool	gval_istrue(gval_t *gvp, const char *ks);
extern	void	gval_view(gval_t *gvp);
extern	void	gval_sort(gval_t *gvp);

#endif
