/*--------------------------------------------------------------------
  disp sturcter module.

    Copyright (C) 1998,1999
        SASAKI Shunsuke <ele@pop17.odn.ne.jp> All rights reserved. 
--------------------------------------------------------------------*/

typedef	struct dispfmt
{
	color_t 		col;
	char			*str;
	struct dispfmt	*next;
}	dispfmt_t;

typedef	struct
{
	int 		x,y;
	int 		sizex,sizey;
	void		*vp;
	dispfmt_t	*(*func)(void *vp,int a,int sizex,int sizey);

	dispfmt_t	**l_dfp;
	bool		ff;
}	dispreg_t;


#define	MAX_dispreg	16

typedef	struct
{
	int 		sizex, sizey;

	int 		drp_num;
	dispreg_t	*drp[MAX_dispreg];
	bool		ff;
}	dispall_t;

VAL	dispall_t	dispall;

extern	dispfmt_t	*disp_fmtinit(const char *s, dispfmt_t *dfp);
extern	void		disp_fmtsfin(dispfmt_t *dfp);
extern	dispreg_t	*disp_reginit();
extern	void		disp_regadd(dispreg_t *drp);
extern	void		disp_allinit();
extern	void		disp_allview();
extern	int 	disp_regexist(dispreg_t *drp);
extern	void	disp_regrm(dispreg_t *drp);
extern	void	disp_regresize(dispreg_t *drp,int sizex,int sizey);

